diff -r 94186a96ca17 PATCHES
--- a/PATCHES	Tue Nov 24 21:45:58 2015 -0800
+++ b/PATCHES	Wed Nov 25 17:55:07 2015 +0100
@@ -0,0 +1,1 @@
+patch-1.5.24.aw.listreply.1
diff -r 94186a96ca17 init.h
--- a/init.h	Tue Nov 24 21:45:58 2015 -0800
+++ b/init.h	Wed Nov 25 17:55:07 2015 +0100
@@ -1387,6 +1387,13 @@
   ** The locale used by \fCstrftime(3)\fP to format dates. Legal values are
   ** the strings your system accepts for the locale environment variable \fC$$$LC_TIME\fP.
   */
+  { "list_reply",	DT_QUAD, R_NONE, OPT_LISTREPLY, M_NO },
+  /*
+  ** .pp
+  ** When set, address replies to the mailing list the original message came
+  ** from (instead of author only).  Setting this option to ``ask-yes'' or
+  ** ``ask-no'' will ask if you really intended to reply to the author only.
+  */
   { "mail_check",	DT_NUM,  R_NONE, UL &BuffyTimeout, 5 },
   /*
   ** .pp
diff -r 94186a96ca17 mutt.h
--- a/mutt.h	Tue Nov 24 21:45:58 2015 -0800
+++ b/mutt.h	Wed Nov 25 17:55:07 2015 +0100
@@ -280,6 +280,7 @@
 #endif
   OPT_SUBJECT,
   OPT_VERIFYSIG,      /* verify PGP signatures */
+  OPT_LISTREPLY,
     
   /* THIS MUST BE THE LAST VALUE. */
   OPT_MAX
diff -r 94186a96ca17 send.c
--- a/send.c	Tue Nov 24 21:45:58 2015 -0800
+++ b/send.c	Wed Nov 25 17:55:07 2015 +0100
@@ -452,6 +452,7 @@
 static int default_to (ADDRESS **to, ENVELOPE *env, int flags, int hmfupto)
 {
   char prompt[STRING];
+  ADDRESS *tmp;
 
   if (flags && env->mail_followup_to && hmfupto == M_YES) 
   {
@@ -465,6 +466,23 @@
   if (flags & SENDLISTREPLY)
     return 0;
 
+  /* If this message came from a mailing list, ask the user if he really
+   * intended to reply to the author only.
+   */
+  if (!(flags & SENDGROUPREPLY) && mutt_is_list_cc (0, env->to, env->cc)) {
+    switch (query_quadoption (OPT_LISTREPLY,
+            _("Message came from a mailing list. Reply to author only?")))
+    {
+    case M_NO:
+      tmp = find_mailing_lists (env->to, env->cc);
+      rfc822_append (to, tmp);
+      rfc822_free_address (&tmp);
+      return 0;
+    case -1:
+      return -1; /* abort */
+    }
+  }
+
   if (!option(OPTREPLYSELF) && mutt_addr_is_user (env->from))
   {
     /* mail is from the user, assume replying to recipients */
